# Class ManageReferralControl

java.lang.Object
javax.naming.ldap.BasicControl
javax.naming.ldap.ManageReferralControl

All Implemented Interfaces:
  `Serializable, Control`

public final class ManageReferralControl extends BasicControl
Requests that referral and other special LDAP objects be manipulated as normal LDAP objects. It enables the requestor to interrogate or update such objects.

This class implements the LDAPv3 Request Control for ManageDsaIT as defined in RFC 3296. The control has no control value.

Since:
  1.5
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`OID`
The ManageReferral control's assigned object identifier is 2.16.840.1.113730.3.4.2.

### Fields declared in class BasicControl

`criticality, id, value`

### Fields declared in interface Control

`CRITICAL, NONCRITICAL`

## Constructor Summary

Constructors
Constructor
Description
`ManageReferralControl()`
Constructs a critical ManageReferral control.
`ManageReferralControl(boolean criticality)`
Constructs a ManageReferral control.

## Method Summary

### Methods declared in class BasicControl

`getEncodedValue, getID, isCritical`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### OID

public static final String OID
The ManageReferral control's assigned object identifier is 2.16.840.1.113730.3.4.2.

See Also:
  - Constant Field Values

## Constructor Details

### ManageReferralControl

public ManageReferralControl()
Constructs a critical ManageReferral control.

### ManageReferralControl

public ManageReferralControl(boolean criticality)
Constructs a ManageReferral control.

Parameters:
  `criticality` - The control's criticality setting.